Ondersteuning » Overige » Je website heeft op dit moment een technisch probleem

  • Opgelost sdsgbg

    (@sdsgbg)


    Mijn website is niet meer bereikbaar.

    In dit geval heeft WordPress een fout in je thema opgemerkt, Haven.
    
    Bezoek eerst je website (https://devestengeraardsbergen.be/) en kijk of er zichtbare problemen zijn. Bezoek daarna de pagina waar de fout was gevonden (https://devestengeraardsbergen.be/wp-admin/) en kijk of er daar zichtbare problemen zijn.
    
    Contacteer je hostingprovider voor technische ondersteuning om dit probleem verder te onderzoeken.
    
    In het geval dat je website kapot lijkt te zijn, en je het dashboard niet op de normale manier kunt benaderen, heeft WordPress nu een speciale 'herstelmodus". Deze laat je op een veilige manier aanmelden op je dashboard om het probleem verder te onderzoeken.
    
    https://devestengeraardsbergen.be/wp-login.php?action=enter_recovery_mode&......
    
    Om je website veilig te houden verloopt deze link over 1 dag. Maak je daar maar niet druk om, er wordt een nieuwe link naar je gestuurd wanneer het probleem zich weer voordoet nadat de link is verlopen.
    
    Als je hulp zoekt bij dit probleem kan de onderstaande informatie handig zijn:
    WordPress versie 5.8.4
    Huidig thema: Haven (versie 1.0.9)
    Huidige plugin:  (versie )
    PHP versie 8.1.7
    
    Foutdetails
    ===========
    Een fout van het type E_COMPILE_ERROR trad op op lijn 1882 in het bestand /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-content/themes/haven/theme-includes/includes/sub-includes/auto-setup/class-fw-auto-install.php. Foutmelding: Declaration of FW_Auto_Install_Upgrader_Skin::feedback($string) must be compatible with WP_Upgrader_Skin::feedback($string, ...$args)

    MAAR als ik de herstelmodus doe krijg ik altijd de melding “teveel omleidingen” wis je cookies. Die zijn op voorhand gewist. Ik geraak dus niet meer op mijn website. Is er een mogelijke oplossing voorhanden ?

    • Dit onderwerp is gewijzigd 3 maanden, 2 weken geleden door sdsgbg.
8 reacties aan het bekijken - 1 tot 8 (van in totaal 8)
  • Hoi,

    Ik lees dat je PHP versie 8.1.7 hebt, die is nog erg nieuw, zet deze eens terug naar 7.4+ en vergeet ook niet om je WordPress (en thema/plugins) te updaten.

    Guido

    Thread starter sdsgbg

    (@sdsgbg)

    Dag Guido. Ik bedank je alvast voor de tip. Ik ben denk ik te voortvarend geweest. Ik geraak niet meer op de website (dashboard) maar wel nog via ftp. Hoe moet ik dat aanpakken ? Ik heb niet direct een idee van welke bestanden ik moet wissen.

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Hey @sdsgbg,

    Via FTP ga je geen PHP versie kunnen veranederen – kijk eens in het controlepaneel van je host of je dat kan aanpassen. Indien niet – dan neem je best contact op met je webhost om deze naar 7.4 te zetten. Daarna kijk je of je weer in je dashboard geraakt of niet.

    Indien wel, doorloop dan updates van je plugins & thema’s en je WordPress versie want je draait nu oude versies op bijna de nieuwste PHP, en dat is mogelijk de oorzaak van de fout.

    Je zou dan nog kunnen testen na de updates of het wel werkt op PHP 8.1, maar weet dat er zeker nog plugins en thema’s zijn die daar nog niet mee compatibel zijn.

    Thread starter sdsgbg

    (@sdsgbg)

    Dag Jeroen, het is helemaal fout gegaan helaas. De website is nu niet meer te zien. Ik krijg in de plaats

    Fatal error: Uncaught Error: Call to undefined function the_core_get_the_theme_id() in /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-content/themes/haven/framework-customizations/theme/manifest.php:7 Stack trace: #0 /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-content/plugins/unyson/framework/core/components/theme.php(19): include() #1 /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-content/plugins/unyson/framework/core/Fw.php(49): _FW_Component_Theme->__construct() #2 /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-content/plugins/unyson/framework/core/Fw.php(75): _Fw->__construct() #3 /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-content/plugins/unyson/framework/bootstrap.php(42): fw() #4 /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-includes/class-wp-hook.php(303): _action_init_framework('') #5 /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-includes/class-wp-hook.php(327): WP_Hook->apply_filters(NULL, Array) #6 /customers/a/f/e/devestengeraardsbergen.be/ in /customers/a/f/e/devestengeraardsbergen.be/httpd.www/wp-content/themes/haven/framework-customizations/theme/manifest.php on line 7

    Thread starter sdsgbg

    (@sdsgbg)

    Zou ik best het thema verwijderen ?

    Moderator Jeroen Rotty

    (@jeroenrotty)

    Support Moderator

    Het lijkt dat een update van je thema, of een onderdeel daarvan deels in een plugin (unyson) niet meer volledig is, of niet meer samenwerkt met een ander onderdeel. Had je je thema al naar de nieuwste versie kunnen brengen incl. de plugins die erbij zitten en nodig zijn om het thema te doen werken?

    Wat je zou kunnen doen, is je thema-map hernoemen wat er nu is (wp-content/themes/haven/ naar een tijdelijk anedere naam (bv. havenOLD) – en dan de nieuwste versie van je Haven thema downloaden en daarin uploaden. Kijk dan ook even in de documentatie van Haven of er nog plugins vereist zijn, zoals Unyson om het thema te doen werken (je upload dus ook de nieuwste versie van die plugin naar wp-content/plugins/ waarbij je de oude map hernoemt naar unysonOLD) en kijk dan of het werkt. Indien niet, dan gaat er mogelijks nog iets anders mis of is er iets incompatibel met die versie van je thema/plugin. Dan heb je support nodig van de ontwikkelaars van het thema.

    Als ik zoek op Haven, zie ik dat dat een thema is die betaald is, dus ga je contact moeten leggen met de ontwikkelaars van je thema.

    Thread starter sdsgbg

    (@sdsgbg)

    Hallo allemaal,

    Na vanalles te proberen bleek het gewoonweg niet meer te gaan. Ik heb de website verwijderd. Het thema was verouderd en niet meer aanpasbaar. Spijtig dat die thema-ontwikkelaars na 2 jaar hun thema’s niet verder onderhouden. Ik bedank jullie allemaal voor de deskundige hulp !

    S

    Guido

    (@guido07111975)

    Hoi,

    Bedankt voor je update.

    Dat blijft altijd een risico van WordPress, de developer van het thema of de plugin kan zo maar besluiten ermee te stoppen. Daarom altijd een (zeer) populair thema/plugin kiezen want dan is de kans (vaak) minder groot dat dit gebeurt..

    Guido

8 reacties aan het bekijken - 1 tot 8 (van in totaal 8)